
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/applejack.zip" ),
	Asset( "ANIM", "anim/applejack_hunger.zip" ),

}
local prefabs = {}


local start_inv = 
{
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "seeds",
        "hat_apple",

}


local function updatestats(inst)

    if GetClock():IsDay() then
		if inst.strength == "mighty" then	
			inst.components.health.maxhealth = 250 
			inst.components.health:StartRegen(1, 5)
			inst.components.combat.damagemultiplier = 3.5
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.7 )
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.3)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.3)
			inst.components.combat.attackrange = 2
			inst.components.combat.hitrange = 2
			TUNING.SANITY_DAY_GAIN = 18/60
			inst.AnimState:SetBuild("applejack")
		elseif inst.strength == "wimpy" then
			inst.components.health.maxhealth = 90 
			inst.components.health:StartRegen(-1, 4)
			inst.components.combat.damagemultiplier = 0.8
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.1 )
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.1)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.1)
			inst.components.combat.attackrange = 1
			inst.components.combat.hitrange = 1
			TUNING.SANITY_DAY_GAIN = -10/60
			inst.AnimState:SetBuild("applejack_hunger")

		end
		
 	elseif GetClock():IsDusk() then
		if inst.strength == "mighty" then
			inst.components.health.maxhealth = 200 
			inst.components.health:StartRegen(1, 10)
			inst.components.combat.damagemultiplier = 2.5
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.2 )
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.8)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.8)
			inst.components.combat.attackrange = 1
			inst.components.combat.hitrange = 1
			TUNING.SANITY_NIGHT_LIGHT = -20/60
			TUNING.SANITY_NIGHT_MID = -50/60
			inst.AnimState:SetBuild("applejack")
		elseif inst.strength == "wimpy" then
			inst.components.health.maxhealth = 70 
			inst.components.health:StartRegen(-1, 2)
			inst.components.combat.damagemultiplier = 0.01
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.1 )
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.1)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.1)
			inst.components.combat.attackrange = 1
			inst.components.combat.hitrange = 1
			TUNING.SANITY_NIGHT_LIGHT = -10/60
			TUNING.SANITY_NIGHT_MID = -10/60
			inst.AnimState:SetBuild("applejack_hunger")

		end

    elseif GetClock():IsNight() then	
		if inst.strength == "mighty" then
			inst.components.health.maxhealth = 150
			inst.components.health:StartRegen(1, 20)
			inst.components.combat.damagemultiplier = 1.5
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.7 )
			inst.components.sanity.dapperness = TUNING.DAPPERNESS_SMALL
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.5)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.5)
			inst.components.combat.attackrange = 1
			inst.components.combat.hitrange = 1
			TUNING.SANITY_NIGHT_LIGHT = -20/60
			TUNING.SANITY_NIGHT_MID = -50/60
			TUNING.SANITY_NIGHT_DARK = -800/60
			inst.AnimState:SetBuild("applejack")
		elseif inst.strength == "wimpy" then
			inst.components.health.maxhealth = 50
			inst.components.health:StartRegen(-1, 1)
			inst.components.combat.damagemultiplier = 0.01
			inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.1 )
			inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.1)
			inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.1)
			inst.components.combat.attackrange = 1
			inst.components.combat.hitrange = 1
			TUNING.SANITY_NIGHT_LIGHT = -10/60
			TUNING.SANITY_NIGHT_DARK = -800/60
			inst.AnimState:SetBuild("applejack_hunger")

		end
		
	end

end


local function onhungerchange(inst, data)

	if inst.strength == "mighty" then
		if inst.components.hunger.current < 40 then
			
			inst.strength = "wimpy"
			inst.components.talker:Say("I Need FOOD ......")
		end

	elseif inst.strength == "wimpy" then
		if inst.components.hunger.current > 50 then

			inst.strength = "mighty"
			inst.components.talker:Say("Hu ~  eat one's fill .")
		end
	else
		if inst.components.hunger.current > 60 then
			inst.strength = "mighty"
			inst.components.talker:Say("Yee ~~ Ha !")


		elseif inst.components.hunger.current < 45 then
			inst.strength = "mighty"
			inst.components.talker:Say("Big Mac !!! HELP !!!")

		end
	end
	
	
	updatestats(inst)
end




local fn = function(inst)
	inst.soundsname = "wendy"
	inst.MiniMapEntity:SetIcon( "wendy.png" )
	inst.components.hunger:SetMax(130)
        inst.components.sanity:SetMax(100)
	inst.components.eater.foodprefs = { "VEGGIE", "SEEDS", "GENERIC" } 
	TUNING.EVERGREEN_CHOPS_NORMAL=5
	TUNING.EVERGREEN_CHOPS_TALL=8
	TUNING.ROCKS_MINE=4
	TUNING.STACK_SIZE_LARGEITEM=15
	TUNING.STACK_SIZE_MEDITEM=30
	TUNING.STACK_SIZE_SMALLITEM=60
	TUNING.SANITY_TINY = 10
        inst.components.builder.science_bonus = 1
        inst.components.eater.strongstomach = true
	inst.components.eater.ignoresspoilage = true
	table.insert(inst.components.eater.foodprefs, "APPLEFOOD")

	-- Stats varies day/night
	inst:ListenForEvent( "dusktime", function() updatestats(inst) end , GetWorld())
        inst:ListenForEvent( "daytime", function() updatestats(inst) end , GetWorld())
        inst:ListenForEvent( "nighttime", function() updatestats(inst) end , GetWorld())
         updatestats(inst)
	
	--Update hunger status
	inst:ListenForEvent("hungerdelta", onhungerchange)
	

    return inst
	
end


STRINGS.CHARACTER_TITLES.applejack = "ƻζ( Equestria Girls )"
STRINGS.CHARACTER_NAMES.applejack = "ƻζ"
STRINGS.CHARACTER_DESCRIPTIONS.applejack = "ڿѧԱ߻ָ"
STRINGS.CHARACTER_QUOTES.applejack = "ħ"


return MakePlayerCharacter("applejack", prefabs, assets, fn , start_inv)